Bug 82415 - transforms/no_transform_hit_testing.html is flaky
Summary: transforms/no_transform_hit_testing.html is flaky
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Florin Malita
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 18:52 PDT by Dirk Pranke
Modified: 2012-04-19 16:46 PDT (History)
2 users (show)

See Also:


Attachments
Patch (157.45 KB, patch)
2012-04-02 11:43 PDT, Florin Malita
no flags Details | Formatted Diff | Diff
Patch for landing (157.53 KB, patch)
2012-04-19 16:18 PDT, Florin Malita
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Pranke 2012-03-27 18:52:28 PDT
It looks like it usually clears up on a retry, though

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=transforms%2Fno_transform_hit_testing.html
Comment 1 Florin Malita 2012-04-02 11:32:43 PDT
Since this test doesn't seems to need pixel-level checks, it should be converted to use dumpAsText() and avoid the current flaky font rendering issues.
Comment 2 Florin Malita 2012-04-02 11:43:41 PDT
Created attachment 135141 [details]
Patch
Comment 3 WebKit Review Bot 2012-04-02 11:47:04 PDT
Attachment 135141 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1
ERROR: File does not exist: 'LayoutTests/platform/mac/transforms/no_transform_hit_testing-expected.png'


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Florin Malita 2012-04-02 13:38:30 PDT
The style error is a check-webkit-style bug. Filed https://bugs.webkit.org/show_bug.cgi?id=82933.
Comment 5 WebKit Review Bot 2012-04-19 14:25:09 PDT
Comment on attachment 135141 [details]
Patch

Rejecting attachment 135141 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
_hit_testing-expected.png'
patching file LayoutTests/platform/qt/transforms/no_transform_hit_testing-expected.txt
rm 'LayoutTests/platform/qt/transforms/no_transform_hit_testing-expected.txt'
patching file LayoutTests/transforms/no_transform_hit_testing-expected.txt
patching file LayoutTests/transforms/no_transform_hit_testing.html

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Simon Fras..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12442324
Comment 6 Florin Malita 2012-04-19 16:18:29 PDT
Created attachment 137998 [details]
Patch for landing
Comment 7 WebKit Review Bot 2012-04-19 16:46:39 PDT
Comment on attachment 137998 [details]
Patch for landing

Clearing flags on attachment: 137998

Committed r114693: <http://trac.webkit.org/changeset/114693>
Comment 8 WebKit Review Bot 2012-04-19 16:46:44 PDT
All reviewed patches have been landed.  Closing bug.